Quantcast

Facing Issues with Ant 1.10.0

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Facing Issues with Ant 1.10.0

Sarika Sinha

I am trying to incorporate Ant 1.9.8 / 1.10.0 with Eclipse IDE.

Where as 1.9.8 works fine with existing Ant framework in eclipse, having
many issues with Ant 1.10.0 like below and some more
- missing stack frames while debugging Ant with breakpoints
- Getting error while using Ant 1.1.0 and Java 1.8 - Specifying an
InputHandler is an Ant 1.5.* feature. Please update your Ant classpath to
include an Ant version greater than this.

Has anyone faced a similar issue ? Or we already have some discussion on
the similar line ?
I could not find any related  bug on the Ant bugzilla.

Thanks,
Sarika
Eclipse Ant &  Debug
Project Lead and Committer
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Facing Issues with Ant 1.10.0

Stefan Bodewig
On 2017-01-09, Sarika Sinha wrote:

> I am trying to incorporate Ant 1.9.8 / 1.10.0 with Eclipse IDE.

> Has anyone faced a similar issue ? Or we already have some discussion on
> the similar line ?
> I could not find any related  bug on the Ant bugzilla.

You are the first person reporting such issues. I'm not an Eclipse user
(or any IDE user) at all, so I won't be able to help much.

> Where as 1.9.8 works fine with existing Ant framework in eclipse, having
> many issues with Ant 1.10.0 like below and some more
> - missing stack frames while debugging Ant with breakpoints
> - Getting error while using Ant 1.1.0 and Java 1.8 - Specifying an
> InputHandler is an Ant 1.5.* feature. Please update your Ant classpath to
> include an Ant version greater than this.

The later makes me suspect this is an Eclipse issue with the Eclipse
integration for Ant trying to parse Ant's version number by using the
first digit after the dot and assuming with 1 < 5 you must be using a
very old version of Ant. I don't think Ant can fix that.

Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Facing Issues with Ant 1.10.0

Dominique Devienne-2
On Mon, Jan 9, 2017 at 4:52 PM, Stefan Bodewig <[hidden email]> wrote:

> On 2017-01-09, Sarika Sinha wrote:
>
> > I am trying to incorporate Ant 1.9.8 / 1.10.0 with Eclipse IDE. [...]
> > Where as 1.9.8 works fine with existing Ant framework in eclipse, having
> > many issues with Ant 1.10.0 like below and some more
> > - missing stack frames while debugging Ant with breakpoints
> > - Getting error while using Ant 1.1.0 and Java 1.8 - Specifying an
> > InputHandler is an Ant 1.5.* feature. Please update your Ant classpath to
> > include an Ant version greater than this.
>
> The later makes me suspect this is an Eclipse issue with the Eclipse
> integration for Ant trying to parse Ant's version number by using the
> first digit after the dot and assuming with 1 < 5 you must be using a
> very old version of Ant. I don't think Ant can fix that.
>

Or maybe it's parsing 1.10 in base-2/binary, leading to 1.2 decimal, also <
to 1.5 decimal :)
Joking aside, that's a great hypothesis for the symptoms Stefan! Cheers,
--DD
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Facing Issues with Ant 1.10.0

Sarika Sinha
In reply to this post by Stefan Bodewig

Thanks Stefan for the inputs, I could solve the other problems at Eclipse IDE code level, but I am still stuck with
"missing stack frames while debugging Ant with breakpoints"

1.9.8 with Java 8 works fine but 1.10.0 is throwing error when we try to use ServerSocket and we get the exception
java.net.SocketException: Connection reset
at java.net.SocketInputStream.read(SocketInputStream.java:209)
at java.net.SocketInputStream.read(SocketInputStream.java:141)
at sun.nio.cs.StreamDecoder.readBytes(StreamDecoder.java:284)
at sun.nio.cs.StreamDecoder.implRead(StreamDecoder.java:326)
at sun.nio.cs.StreamDecoder.read(StreamDecoder.java:178)
at java.io.InputStreamReader.read(InputStreamReader.java:184)
at java.io.BufferedReader.fill(BufferedReader.java:161)
at java.io.BufferedReader.readLine(BufferedReader.java:324)
at java.io.BufferedReader.readLine(BufferedReader.java:389)

We used to get similar error when we we were using Java version less than 1.7 for Ant 1.9.6 or so.
Ant hints/suggestions will be of great help.

Thanks & Regards,
Sarika

Stefan Bodewig ---01/09/2017 09:22:25 PM---On 2017-01-09, Sarika Sinha wrote: > I am trying to incorporate Ant 1.9.8 / 1.10.0 with Eclipse IDE.

From: Stefan Bodewig <[hidden email]>
To: [hidden email]
Date: 01/09/2017 09:22 PM
Subject: Re: Facing Issues with Ant 1.10.0





On 2017-01-09, Sarika Sinha wrote:

> I am trying to incorporate Ant 1.9.8 / 1.10.0 with Eclipse IDE.

> Has anyone faced a similar issue ? Or we already have some discussion on
> the similar line ?
> I could not find any related  bug on the Ant bugzilla.

You are the first person reporting such issues. I'm not an Eclipse user
(or any IDE user) at all, so I won't be able to help much.

> Where as 1.9.8 works fine with existing Ant framework in eclipse, having
> many issues with Ant 1.10.0 like below and some more
> - missing stack frames while debugging Ant with breakpoints
> - Getting error while using Ant 1.1.0 and Java 1.8 - Specifying an
> InputHandler is an Ant 1.5.* feature. Please update your Ant classpath to
> include an Ant version greater than this.

The later makes me suspect this is an Eclipse issue with the Eclipse
integration for Ant trying to parse Ant's version number by using the
first digit after the dot and assuming with 1 < 5 you must be using a
very old version of Ant. I don't think Ant can fix that.

Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]



Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Facing Issues with Ant 1.10.0

Stefan Bodewig
On 2017-01-17, Sarika Sinha wrote:

> Thanks Stefan for the inputs, I could solve the other problems at Eclipse
> IDE code level,

By now we know we've broken classpath setup for Eclipse and will rectify
that with a new release pretty soon (i.e. in weeks, not in month).

https://bz.apache.org/bugzilla/show_bug.cgi?id=60582

But I don't think this is related to

> but I am still stuck with "missing stack frames while debugging Ant
> with breakpoints"

at all.

Unfortunately I have no idea at all.

Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Facing Issues with Ant 1.10.0

Jaikiran Pai
In reply to this post by Sarika Sinha
Looking at that stacktrace, I don't know how Ant is playing a role in
any of it. Can you explain in more detail what you mean by missing
breakpoints and how it relates to that stacktrace? What code are you
adding the breakpoints to? Also, that exception stacktrace doesn't look
like the complete stacktrace, can you post the complete stacktrace?

-Jaikiran
On Tuesday 17 January 2017 10:44 AM, Sarika Sinha wrote:

>
> Thanks Stefan for the inputs, I could solve the other problems at
> Eclipse IDE code level, but I am still stuck with
> "missing stack frames while debugging Ant with breakpoints"
>
> 1.9.8 with Java 8 works fine but 1.10.0 is throwing error when we try
> to use ServerSocket and we get the exception
> _java.net.SocketException_: Connection reset
> at java.net.SocketInputStream.read(_SocketInputStream.java:209_)
> at java.net.SocketInputStream.read(_SocketInputStream.java:141_)
> at sun.nio.cs.StreamDecoder.readBytes(_StreamDecoder.java:284_)
> at sun.nio.cs.StreamDecoder.implRead(_StreamDecoder.java:326_)
> at sun.nio.cs.StreamDecoder.read(_StreamDecoder.java:178_)
> at java.io.InputStreamReader.read(_InputStreamReader.java:184_)
> at java.io.BufferedReader.fill(_BufferedReader.java:161_)
> at java.io.BufferedReader.readLine(_BufferedReader.java:324_)
> at java.io.BufferedReader.readLine(_BufferedReader.java:389_)
>
> We used to get similar error when we we were using Java version less
> than 1.7 for Ant 1.9.6 or so.
> Ant hints/suggestions will be of great help.
>
> Thanks & Regards,
> Sarika
>
> Inactive hide details for Stefan Bodewig ---01/09/2017 09:22:25
> PM---On 2017-01-09, Sarika Sinha wrote: > I am trying to incorpStefan
> Bodewig ---01/09/2017 09:22:25 PM---On 2017-01-09, Sarika Sinha wrote:
> > I am trying to incorporate Ant 1.9.8 / 1.10.0 with Eclipse IDE.
>
> From: Stefan Bodewig <[hidden email]>
> To: [hidden email]
> Date: 01/09/2017 09:22 PM
> Subject: Re: Facing Issues with Ant 1.10.0
>
> ------------------------------------------------------------------------
>
>
>
> On 2017-01-09, Sarika Sinha wrote:
>
> > I am trying to incorporate Ant 1.9.8 / 1.10.0 with Eclipse IDE.
>
> > Has anyone faced a similar issue ? Or we already have some discussion on
> > the similar line ?
> > I could not find any related  bug on the Ant bugzilla.
>
> You are the first person reporting such issues. I'm not an Eclipse user
> (or any IDE user) at all, so I won't be able to help much.
>
> > Where as 1.9.8 works fine with existing Ant framework in eclipse, having
> > many issues with Ant 1.10.0 like below and some more
> > - missing stack frames while debugging Ant with breakpoints
> > - Getting error while using Ant 1.1.0 and Java 1.8 - Specifying an
> > InputHandler is an Ant 1.5.* feature. Please update your Ant
> classpath to
> > include an Ant version greater than this.
>
> The later makes me suspect this is an Eclipse issue with the Eclipse
> integration for Ant trying to parse Ant's version number by using the
> first digit after the dot and assuming with 1 < 5 you must be using a
> very old version of Ant. I don't think Ant can fix that.
>
> Stefan
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
>

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Facing Issues with Ant 1.10.0

Sarika Sinha

Unfortunately, I have this limited stack trace which causes missing messages while debugging an ant build file.
So the scenario is :
1. We place a breakpoint at a call3, which gets called from call2 which is invoked from call1
2. So in some scenarios, (In Eclipse term when we are running it as separate VM) the stack frames misses the call2.
It shows call1 and call3. So each stack frame is basically a received message for the running ant process from VM.

Thanks & Regards,
Sarika

Jaikiran Pai ---01/17/2017 11:34:47 AM---Looking at that stacktrace, I don't know how Ant is playing a role in any of it. Can you explain in

From: Jaikiran Pai <[hidden email]>
To: [hidden email]
Date: 01/17/2017 11:34 AM
Subject: Re: Facing Issues with Ant 1.10.0





Looking at that stacktrace, I don't know how Ant is playing a role in
any of it. Can you explain in more detail what you mean by missing
breakpoints and how it relates to that stacktrace? What code are you
adding the breakpoints to? Also, that exception stacktrace doesn't look
like the complete stacktrace, can you post the complete stacktrace?

-Jaikiran
On Tuesday 17 January 2017 10:44 AM, Sarika Sinha wrote:

>
> Thanks Stefan for the inputs, I could solve the other problems at
> Eclipse IDE code level, but I am still stuck with
> "missing stack frames while debugging Ant with breakpoints"
>
> 1.9.8 with Java 8 works fine but 1.10.0 is throwing error when we try
> to use ServerSocket and we get the exception
> _java.net.SocketException_: Connection reset
> at java.net.SocketInputStream.read(_SocketInputStream.java:209_)
> at java.net.SocketInputStream.read(_SocketInputStream.java:141_)
> at sun.nio.cs.StreamDecoder.readBytes(_StreamDecoder.java:284_)
> at sun.nio.cs.StreamDecoder.implRead(_StreamDecoder.java:326_)
> at sun.nio.cs.StreamDecoder.read(_StreamDecoder.java:178_)
> at java.io.InputStreamReader.read(_InputStreamReader.java:184_)
> at java.io.BufferedReader.fill(_BufferedReader.java:161_)
> at java.io.BufferedReader.readLine(_BufferedReader.java:324_)
> at java.io.BufferedReader.readLine(_BufferedReader.java:389_)
>
> We used to get similar error when we we were using Java version less
> than 1.7 for Ant 1.9.6 or so.
> Ant hints/suggestions will be of great help.
>
> Thanks & Regards,
> Sarika
>
> Inactive hide details for Stefan Bodewig ---01/09/2017 09:22:25
> PM---On 2017-01-09, Sarika Sinha wrote: > I am trying to incorpStefan
> Bodewig ---01/09/2017 09:22:25 PM---On 2017-01-09, Sarika Sinha wrote:
> > I am trying to incorporate Ant 1.9.8 / 1.10.0 with Eclipse IDE.
>
> From: Stefan Bodewig <[hidden email]>
> To: [hidden email]
> Date: 01/09/2017 09:22 PM
> Subject: Re: Facing Issues with Ant 1.10.0
>
> ------------------------------------------------------------------------
>
>
>
> On 2017-01-09, Sarika Sinha wrote:
>
> > I am trying to incorporate Ant 1.9.8 / 1.10.0 with Eclipse IDE.
>
> > Has anyone faced a similar issue ? Or we already have some discussion on
> > the similar line ?
> > I could not find any related  bug on the Ant bugzilla.
>
> You are the first person reporting such issues. I'm not an Eclipse user
> (or any IDE user) at all, so I won't be able to help much.
>
> > Where as 1.9.8 works fine with existing Ant framework in eclipse, having
> > many issues with Ant 1.10.0 like below and some more
> > - missing stack frames while debugging Ant with breakpoints
> > - Getting error while using Ant 1.1.0 and Java 1.8 - Specifying an
> > InputHandler is an Ant 1.5.* feature. Please update your Ant
> classpath to
> > include an Ant version greater than this.
>
> The later makes me suspect this is an Eclipse issue with the Eclipse
> integration for Ant trying to parse Ant's version number by using the
> first digit after the dot and assuming with 1 < 5 you must be using a
> very old version of Ant. I don't think Ant can fix that.
>
> Stefan
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
>



Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Facing Issues with Ant 1.10.0

Jaikiran Pai
This looks more related to how Eclipse (Ant?) plugin is doing that
remote message processing for this feature of remote debugging the Ant
build file. Without seeing the code related to that in the Eclipse
plugin, it's hard to say what's wrong. Is it available some place and
can you point us to how it deals with this communication?

Either way, I am not yet sure this is specific to Ant. Is this
reproducible if you try and debug a remote Java application from eclipse
with those specific versions of Java?

-Jaikiran
On Tuesday 17 January 2017 11:51 AM, Sarika Sinha wrote:

>
> Unfortunately, I have this limited stack trace which causes missing
> messages while debugging an ant build file.
> So the scenario is :
> 1. We place a breakpoint at a call3, which gets called from call2
> which is invoked from call1
> 2. So in some scenarios, (In Eclipse term when we are running it as
> separate VM) the stack frames misses the call2.
> It shows call1 and call3. So each stack frame is basically a received
> message for the running ant process from VM.
>
> Thanks & Regards,
> Sarika
>
> Inactive hide details for Jaikiran Pai ---01/17/2017 11:34:47
> AM---Looking at that stacktrace, I don't know how Ant is playing
> Jaikiran Pai ---01/17/2017 11:34:47 AM---Looking at that stacktrace, I
> don't know how Ant is playing a role in any of it. Can you explain in
>
> From: Jaikiran Pai <[hidden email]>
> To: [hidden email]
> Date: 01/17/2017 11:34 AM
> Subject: Re: Facing Issues with Ant 1.10.0
>
> ------------------------------------------------------------------------
>
>
>
> Looking at that stacktrace, I don't know how Ant is playing a role in
> any of it. Can you explain in more detail what you mean by missing
> breakpoints and how it relates to that stacktrace? What code are you
> adding the breakpoints to? Also, that exception stacktrace doesn't look
> like the complete stacktrace, can you post the complete stacktrace?
>
> -Jaikiran
> On Tuesday 17 January 2017 10:44 AM, Sarika Sinha wrote:
> >
> > Thanks Stefan for the inputs, I could solve the other problems at
> > Eclipse IDE code level, but I am still stuck with
> > "missing stack frames while debugging Ant with breakpoints"
> >
> > 1.9.8 with Java 8 works fine but 1.10.0 is throwing error when we try
> > to use ServerSocket and we get the exception
> > _java.net.SocketException_: Connection reset
> > at java.net.SocketInputStream.read(_SocketInputStream.java:209_)
> > at java.net.SocketInputStream.read(_SocketInputStream.java:141_)
> > at sun.nio.cs.StreamDecoder.readBytes(_StreamDecoder.java:284_)
> > at sun.nio.cs.StreamDecoder.implRead(_StreamDecoder.java:326_)
> > at sun.nio.cs.StreamDecoder.read(_StreamDecoder.java:178_)
> > at java.io.InputStreamReader.read(_InputStreamReader.java:184_)
> > at java.io.BufferedReader.fill(_BufferedReader.java:161_)
> > at java.io.BufferedReader.readLine(_BufferedReader.java:324_)
> > at java.io.BufferedReader.readLine(_BufferedReader.java:389_)
> >
> > We used to get similar error when we we were using Java version less
> > than 1.7 for Ant 1.9.6 or so.
> > Ant hints/suggestions will be of great help.
> >
> > Thanks & Regards,
> > Sarika
> >
> > Inactive hide details for Stefan Bodewig ---01/09/2017 09:22:25
> > PM---On 2017-01-09, Sarika Sinha wrote: > I am trying to incorpStefan
> > Bodewig ---01/09/2017 09:22:25 PM---On 2017-01-09, Sarika Sinha wrote:
> > > I am trying to incorporate Ant 1.9.8 / 1.10.0 with Eclipse IDE.
> >
> > From: Stefan Bodewig <[hidden email]>
> > To: [hidden email]
> > Date: 01/09/2017 09:22 PM
> > Subject: Re: Facing Issues with Ant 1.10.0
> >
> > ------------------------------------------------------------------------
> >
> >
> >
> > On 2017-01-09, Sarika Sinha wrote:
> >
> > > I am trying to incorporate Ant 1.9.8 / 1.10.0 with Eclipse IDE.
> >
> > > Has anyone faced a similar issue ? Or we already have some
> discussion on
> > > the similar line ?
> > > I could not find any related  bug on the Ant bugzilla.
> >
> > You are the first person reporting such issues. I'm not an Eclipse user
> > (or any IDE user) at all, so I won't be able to help much.
> >
> > > Where as 1.9.8 works fine with existing Ant framework in eclipse,
> having
> > > many issues with Ant 1.10.0 like below and some more
> > > - missing stack frames while debugging Ant with breakpoints
> > > - Getting error while using Ant 1.1.0 and Java 1.8 - Specifying an
> > > InputHandler is an Ant 1.5.* feature. Please update your Ant
> > classpath to
> > > include an Ant version greater than this.
> >
> > The later makes me suspect this is an Eclipse issue with the Eclipse
> > integration for Ant trying to parse Ant's version number by using the
> > first digit after the dot and assuming with 1 < 5 you must be using a
> > very old version of Ant. I don't think Ant can fix that.
> >
> > Stefan
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: [hidden email]
> > For additional commands, e-mail: [hidden email]
> >
> >
> >
>
>
>

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Facing Issues with Ant 1.10.0

Sarika Sinha

Code is available at
http://git.eclipse.org/c/platform/eclipse.platform.git/tree/ant/org.eclipse.ant.launching/src/org/eclipse/ant/internal/launching/launchConfigurations/RemoteAntBuildListener.java

Yes it is reproducible .

Thanks & Regards,
Sarika

Jaikiran Pai ---01/17/2017 11:58:12 AM---This looks more related to how Eclipse (Ant?) plugin is doing that remote message processing for th

From: Jaikiran Pai <[hidden email]>
To: [hidden email]
Date: 01/17/2017 11:58 AM
Subject: Re: Facing Issues with Ant 1.10.0





This looks more related to how Eclipse (Ant?) plugin is doing that
remote message processing for this feature of remote debugging the Ant
build file. Without seeing the code related to that in the Eclipse
plugin, it's hard to say what's wrong. Is it available some place and
can you point us to how it deals with this communication?

Either way, I am not yet sure this is specific to Ant. Is this
reproducible if you try and debug a remote Java application from eclipse
with those specific versions of Java?

-Jaikiran
On Tuesday 17 January 2017 11:51 AM, Sarika Sinha wrote:

>
> Unfortunately, I have this limited stack trace which causes missing
> messages while debugging an ant build file.
> So the scenario is :
> 1. We place a breakpoint at a call3, which gets called from call2
> which is invoked from call1
> 2. So in some scenarios, (In Eclipse term when we are running it as
> separate VM) the stack frames misses the call2.
> It shows call1 and call3. So each stack frame is basically a received
> message for the running ant process from VM.
>
> Thanks & Regards,
> Sarika
>
> Inactive hide details for Jaikiran Pai ---01/17/2017 11:34:47
> AM---Looking at that stacktrace, I don't know how Ant is playing
> Jaikiran Pai ---01/17/2017 11:34:47 AM---Looking at that stacktrace, I
> don't know how Ant is playing a role in any of it. Can you explain in
>
> From: Jaikiran Pai <[hidden email]>
> To: [hidden email]
> Date: 01/17/2017 11:34 AM
> Subject: Re: Facing Issues with Ant 1.10.0
>
> ------------------------------------------------------------------------
>
>
>
> Looking at that stacktrace, I don't know how Ant is playing a role in
> any of it. Can you explain in more detail what you mean by missing
> breakpoints and how it relates to that stacktrace? What code are you
> adding the breakpoints to? Also, that exception stacktrace doesn't look
> like the complete stacktrace, can you post the complete stacktrace?
>
> -Jaikiran
> On Tuesday 17 January 2017 10:44 AM, Sarika Sinha wrote:
> >
> > Thanks Stefan for the inputs, I could solve the other problems at
> > Eclipse IDE code level, but I am still stuck with
> > "missing stack frames while debugging Ant with breakpoints"
> >
> > 1.9.8 with Java 8 works fine but 1.10.0 is throwing error when we try
> > to use ServerSocket and we get the exception
> > _java.net.SocketException_: Connection reset
> > at java.net.SocketInputStream.read(_SocketInputStream.java:209_)
> > at java.net.SocketInputStream.read(_SocketInputStream.java:141_)
> > at sun.nio.cs.StreamDecoder.readBytes(_StreamDecoder.java:284_)
> > at sun.nio.cs.StreamDecoder.implRead(_StreamDecoder.java:326_)
> > at sun.nio.cs.StreamDecoder.read(_StreamDecoder.java:178_)
> > at java.io.InputStreamReader.read(_InputStreamReader.java:184_)
> > at java.io.BufferedReader.fill(_BufferedReader.java:161_)
> > at java.io.BufferedReader.readLine(_BufferedReader.java:324_)
> > at java.io.BufferedReader.readLine(_BufferedReader.java:389_)
> >
> > We used to get similar error when we we were using Java version less
> > than 1.7 for Ant 1.9.6 or so.
> > Ant hints/suggestions will be of great help.
> >
> > Thanks & Regards,
> > Sarika
> >
> > Inactive hide details for Stefan Bodewig ---01/09/2017 09:22:25
> > PM---On 2017-01-09, Sarika Sinha wrote: > I am trying to incorpStefan
> > Bodewig ---01/09/2017 09:22:25 PM---On 2017-01-09, Sarika Sinha wrote:
> > > I am trying to incorporate Ant 1.9.8 / 1.10.0 with Eclipse IDE.
> >
> > From: Stefan Bodewig <[hidden email]>
> > To: [hidden email]
> > Date: 01/09/2017 09:22 PM
> > Subject: Re: Facing Issues with Ant 1.10.0
> >
> > ------------------------------------------------------------------------
> >
> >
> >
> > On 2017-01-09, Sarika Sinha wrote:
> >
> > > I am trying to incorporate Ant 1.9.8 / 1.10.0 with Eclipse IDE.
> >
> > > Has anyone faced a similar issue ? Or we already have some
> discussion on
> > > the similar line ?
> > > I could not find any related  bug on the Ant bugzilla.
> >
> > You are the first person reporting such issues. I'm not an Eclipse user
> > (or any IDE user) at all, so I won't be able to help much.
> >
> > > Where as 1.9.8 works fine with existing Ant framework in eclipse,
> having
> > > many issues with Ant 1.10.0 like below and some more
> > > - missing stack frames while debugging Ant with breakpoints
> > > - Getting error while using Ant 1.1.0 and Java 1.8 - Specifying an
> > > InputHandler is an Ant 1.5.* feature. Please update your Ant
> > classpath to
> > > include an Ant version greater than this.
> >
> > The later makes me suspect this is an Eclipse issue with the Eclipse
> > integration for Ant trying to parse Ant's version number by using the
> > first digit after the dot and assuming with 1 < 5 you must be using a
> > very old version of Ant. I don't think Ant can fix that.
> >
> > Stefan
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: [hidden email]
> > For additional commands, e-mail: [hidden email]
> >
> >
> >
>
>
>



Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Facing Issues with Ant 1.10.0

Sarika Sinha

Eclipse Bug
https://bugs.eclipse.org/bugs/show_bug.cgi?id=499717

Thanks & Regards,
Sarika

Sarika Sinha---01/17/2017 12:10:33 PM---Code is available at http://git.eclipse.org/c/platform/eclipse.platform.git/tree/ant/org.eclipse.ant

From: Sarika Sinha/India/IBM@IBMIN
To: "Ant Developers List" <[hidden email]>
Date: 01/17/2017 12:10 PM
Subject: Re: Facing Issues with Ant 1.10.0





Code is available at
http://git.eclipse.org/c/platform/eclipse.platform.git/tree/ant/org.eclipse.ant.launching/src/org/eclipse/ant/internal/launching/launchConfigurations/RemoteAntBuildListener.java

Yes it is reproducible .

Thanks & Regards,
Sarika

Jaikiran Pai ---01/17/2017 11:58:12 AM---This looks more related to how Eclipse (Ant?) plugin is doing that remote message processing for th

From:
Jaikiran Pai <[hidden email]>
To:
[hidden email]
Date:
01/17/2017 11:58 AM
Subject:
Re: Facing Issues with Ant 1.10.0




This looks more related to how Eclipse (Ant?) plugin is doing that
remote message processing for this feature of remote debugging the Ant
build file. Without seeing the code related to that in the Eclipse
plugin, it's hard to say what's wrong. Is it available some place and
can you point us to how it deals with this communication?

Either way, I am not yet sure this is specific to Ant. Is this
reproducible if you try and debug a remote Java application from eclipse
with those specific versions of Java?

-Jaikiran
On Tuesday 17 January 2017 11:51 AM, Sarika Sinha wrote:

>
> Unfortunately, I have this limited stack trace which causes missing
> messages while debugging an ant build file.
> So the scenario is :
> 1. We place a breakpoint at a call3, which gets called from call2
> which is invoked from call1
> 2. So in some scenarios, (In Eclipse term when we are running it as
> separate VM) the stack frames misses the call2.
> It shows call1 and call3. So each stack frame is basically a received
> message for the running ant process from VM.
>
> Thanks & Regards,
> Sarika
>
> Inactive hide details for Jaikiran Pai ---01/17/2017 11:34:47
> AM---Looking at that stacktrace, I don't know how Ant is playing
> Jaikiran Pai ---01/17/2017 11:34:47 AM---Looking at that stacktrace, I
> don't know how Ant is playing a role in any of it. Can you explain in
>
> From: Jaikiran Pai <[hidden email]>
> To: [hidden email]
> Date: 01/17/2017 11:34 AM
> Subject: Re: Facing Issues with Ant 1.10.0
>
> ------------------------------------------------------------------------
>
>
>
> Looking at that stacktrace, I don't know how Ant is playing a role in
> any of it. Can you explain in more detail what you mean by missing
> breakpoints and how it relates to that stacktrace? What code are you
> adding the breakpoints to? Also, that exception stacktrace doesn't look
> like the complete stacktrace, can you post the complete stacktrace?
>
> -Jaikiran
> On Tuesday 17 January 2017 10:44 AM, Sarika Sinha wrote:
> >
> > Thanks Stefan for the inputs, I could solve the other problems at
> > Eclipse IDE code level, but I am still stuck with
> > "missing stack frames while debugging Ant with breakpoints"
> >
> > 1.9.8 with Java 8 works fine but 1.10.0 is throwing error when we try
> > to use ServerSocket and we get the exception
> > _java.net.SocketException_: Connection reset
> > at java.net.SocketInputStream.read(_SocketInputStream.java:209_)
> > at java.net.SocketInputStream.read(_SocketInputStream.java:141_)
> > at sun.nio.cs.StreamDecoder.readBytes(_StreamDecoder.java:284_)
> > at sun.nio.cs.StreamDecoder.implRead(_StreamDecoder.java:326_)
> > at sun.nio.cs.StreamDecoder.read(_StreamDecoder.java:178_)
> > at java.io.InputStreamReader.read(_InputStreamReader.java:184_)
> > at java.io.BufferedReader.fill(_BufferedReader.java:161_)
> > at java.io.BufferedReader.readLine(_BufferedReader.java:324_)
> > at java.io.BufferedReader.readLine(_BufferedReader.java:389_)
> >
> > We used to get similar error when we we were using Java version less
> > than 1.7 for Ant 1.9.6 or so.
> > Ant hints/suggestions will be of great help.
> >
> > Thanks & Regards,
> > Sarika
> >
> > Inactive hide details for Stefan Bodewig ---01/09/2017 09:22:25
> > PM---On 2017-01-09, Sarika Sinha wrote: > I am trying to incorpStefan
> > Bodewig ---01/09/2017 09:22:25 PM---On 2017-01-09, Sarika Sinha wrote:
> > > I am trying to incorporate Ant 1.9.8 / 1.10.0 with Eclipse IDE.
> >
> > From: Stefan Bodewig <[hidden email]>
> > To: [hidden email]
> > Date: 01/09/2017 09:22 PM
> > Subject: Re: Facing Issues with Ant 1.10.0
> >
> > ------------------------------------------------------------------------
> >
> >
> >
> > On 2017-01-09, Sarika Sinha wrote:
> >
> > > I am trying to incorporate Ant 1.9.8 / 1.10.0 with Eclipse IDE.
> >
> > > Has anyone faced a similar issue ? Or we already have some
> discussion on
> > > the similar line ?
> > > I could not find any related  bug on the Ant bugzilla.
> >
> > You are the first person reporting such issues. I'm not an Eclipse user
> > (or any IDE user) at all, so I won't be able to help much.
> >
> > > Where as 1.9.8 works fine with existing Ant framework in eclipse,
> having
> > > many issues with Ant 1.10.0 like below and some more
> > > - missing stack frames while debugging Ant with breakpoints
> > > - Getting error while using Ant 1.1.0 and Java 1.8 - Specifying an
> > > InputHandler is an Ant 1.5.* feature. Please update your Ant
> > classpath to
> > > include an Ant version greater than this.
> >
> > The later makes me suspect this is an Eclipse issue with the Eclipse
> > integration for Ant trying to parse Ant's version number by using the
> > first digit after the dot and assuming with 1 < 5 you must be using a
> > very old version of Ant. I don't think Ant can fix that.
> >
> > Stefan
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: [hidden email]
> > For additional commands, e-mail: [hidden email]
> >
> >
> >
>
>
>




Loading...